﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;

public partial class Tickets_327691_Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void RadGridJobs_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        DataTable data = new DataTable();
        data.Columns.Add("OID", typeof(int));
        data.Columns.Add("PharmacyName", typeof(string));
        data.Columns.Add("CoordinatorName", typeof(string));
        data.Columns.Add("JobDate", typeof(DateTime));
        data.Columns.Add("StartTime", typeof(DateTime));
        data.Columns.Add("EndTime", typeof(DateTime));
        data.Columns.Add("Rate", typeof(decimal));
        data.Columns.Add("RatePlus", typeof(decimal));

        data.Rows.Add(1,
            "Rowlands, 1025 Denbigh",
            "Rachel Jones",
            DateTime.Parse("08/25/2010"),
            DateTime.Parse("08/25/2010 08:45 AM"),
            DateTime.Parse("08/25/2010 06:30 PM"),
            20m,
            20m);

        RadGridJobs.DataSource = data;
    }

    protected void RadGridJobs_ItemCreated(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridEditFormItem && e.Item.IsInEditMode)
        {
            GridEditFormItem editForm = (GridEditFormItem)e.Item;
            TextBox startTimeBox = editForm["columnStart"].Controls[0] as TextBox;
            TextBox endTimeBox = editForm["columnEnd"].Controls[0] as TextBox;
            TextBox rateBox = editForm["columnRate"].Controls[0] as TextBox;
            TextBox ratePlusBox = editForm["columnRatePlus"].Controls[0] as TextBox;

            DateInputSetting timeSetting = RadInputManagerJobs.GetSettingByBehaviorID("DateInputSettingStartEnd") as DateInputSetting;
            timeSetting.TargetControls.Add(new TargetInput(startTimeBox.UniqueID, true));
            timeSetting.TargetControls.Add(new TargetInput(endTimeBox.UniqueID, true));

            NumericTextBoxSetting rateSetting = RadInputManagerJobs.GetSettingByBehaviorID("NumericTextBoxSettingRate") as NumericTextBoxSetting;
            rateSetting.TargetControls.Add(new TargetInput(rateBox.UniqueID, true));
            rateSetting.TargetControls.Add(new TargetInput(ratePlusBox.UniqueID, true));
        }
    }
}